Name:           libpam4j
Version:        1.7
Release:        3%{?dist}
Summary:        Java binding for libpam.so

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/libpam4j
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.kohsuke:pom)

BuildArch:      noarch

%description
This package provides Java binding for libpam library.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README LICENSE
%files javadoc -f .mfiles-javadoc
%doc README LICENSE

%changelog
* Tue Oct 29 2013 Michal Srb <msrb@redhat.com> - 1.7-3
- Fix directory ownership

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 09 2013 Michal Srb <msrb@redhat.com> - 1.7-1
- Initial package

